aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-19 20:48:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-19 20:48:14 +0000
commit3010e821a04d06b400ec4b8768d3370391ab81f9 (patch)
treecbfcad35d218e79e3cac4764eb64f1f3d8eb5d88 /x11
parent2675f8b5236657ca8c86b4889af883e046204ac1 (diff)
downloadaports-3010e821a04d06b400ec4b8768d3370391ab81f9.tar.gz
aports-3010e821a04d06b400ec4b8768d3370391ab81f9.tar.bz2
aports-3010e821a04d06b400ec4b8768d3370391ab81f9.tar.xz
x11/xf86-video-*: new aports
added various xorg video drivers
Diffstat (limited to 'x11')
-rw-r--r--x11/xf86-video-apm/APKBUILD23
-rw-r--r--x11/xf86-video-ark/APKBUILD23
-rw-r--r--x11/xf86-video-ast/APKBUILD23
-rw-r--r--x11/xf86-video-chips/APKBUILD23
-rw-r--r--x11/xf86-video-cirrus/APKBUILD23
-rw-r--r--x11/xf86-video-fbdev/APKBUILD23
-rw-r--r--x11/xf86-video-i128/APKBUILD23
-rw-r--r--x11/xf86-video-i740/APKBUILD23
-rw-r--r--x11/xf86-video-mach64/APKBUILD23
-rw-r--r--x11/xf86-video-newport/APKBUILD23
-rw-r--r--x11/xf86-video-nv/APKBUILD23
-rw-r--r--x11/xf86-video-r128/APKBUILD23
-rw-r--r--x11/xf86-video-radeonhd/APKBUILD23
-rw-r--r--x11/xf86-video-rendition/APKBUILD23
-rw-r--r--x11/xf86-video-s3/APKBUILD23
-rw-r--r--x11/xf86-video-s3virge/APKBUILD23
-rw-r--r--x11/xf86-video-savage/APKBUILD23
-rw-r--r--x11/xf86-video-siliconmotion/APKBUILD23
-rw-r--r--x11/xf86-video-sunffb/APKBUILD23
-rw-r--r--x11/xf86-video-sunleo/APKBUILD23
-rw-r--r--x11/xf86-video-tdfx/APKBUILD23
-rw-r--r--x11/xf86-video-tseng/APKBUILD23
-rw-r--r--x11/xf86-video-v4l/APKBUILD23
23 files changed, 529 insertions, 0 deletions
diff --git a/x11/xf86-video-apm/APKBUILD b/x11/xf86-video-apm/APKBUILD
new file mode 100644
index 0000000000..dad9c115ca
--- /dev/null
+++ b/x11/xf86-video-apm/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-apm
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="Alliance ProMotion video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="673c93df004bb857dc89ae9c78ccf907 xf86-video-apm-1.2.1.tar.bz2"
diff --git a/x11/xf86-video-ark/APKBUILD b/x11/xf86-video-ark/APKBUILD
new file mode 100644
index 0000000000..99e371c03e
--- /dev/null
+++ b/x11/xf86-video-ark/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-ark
+pkgver=0.7.1
+pkgrel=0
+pkgdesc="X.Org driver for ark cards"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="be91391f061863617018403cdbd2944f xf86-video-ark-0.7.1.tar.bz2"
diff --git a/x11/xf86-video-ast/APKBUILD b/x11/xf86-video-ast/APKBUILD
new file mode 100644
index 0000000000..aceb2cea20
--- /dev/null
+++ b/x11/xf86-video-ast/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-ast
+pkgver=0.88.8
+pkgrel=0
+pkgdesc="X.Org driver for ASpeedTech cards"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="02628628fca1a5bcaf65f2e2b41873be xf86-video-ast-0.88.8.tar.bz2"
diff --git a/x11/xf86-video-chips/APKBUILD b/x11/xf86-video-chips/APKBUILD
new file mode 100644
index 0000000000..2bc8814325
--- /dev/null
+++ b/x11/xf86-video-chips/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-chips
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="Chips and Technologies video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="2f2643fca6335f18024bffa6c4e0c12f xf86-video-chips-1.2.1.tar.bz2"
diff --git a/x11/xf86-video-cirrus/APKBUILD b/x11/xf86-video-cirrus/APKBUILD
new file mode 100644
index 0000000000..e725080a85
--- /dev/null
+++ b/x11/xf86-video-cirrus/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-cirrus
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="Cirrus Logic video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="bc28fdedaee9059180e2534f9dbcd2f6 xf86-video-cirrus-1.2.1.tar.bz2"
diff --git a/x11/xf86-video-fbdev/APKBUILD b/x11/xf86-video-fbdev/APKBUILD
new file mode 100644
index 0000000000..d7631b30eb
--- /dev/null
+++ b/x11/xf86-video-fbdev/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-fbdev
+pkgver=0.4.0
+pkgrel=0
+pkgdesc="video driver for framebuffer device"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="6572b39fec77b8e6de1c858a93992924 xf86-video-fbdev-0.4.0.tar.bz2"
diff --git a/x11/xf86-video-i128/APKBUILD b/x11/xf86-video-i128/APKBUILD
new file mode 100644
index 0000000000..a14d5b21ec
--- /dev/null
+++ b/x11/xf86-video-i128/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-i128
+pkgver=1.3.1
+pkgrel=0
+pkgdesc="Number 9 I128 video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="3b170a6df5114420cd4021a057918a09 xf86-video-i128-1.3.1.tar.bz2"
diff --git a/x11/xf86-video-i740/APKBUILD b/x11/xf86-video-i740/APKBUILD
new file mode 100644
index 0000000000..846a8feca7
--- /dev/null
+++ b/x11/xf86-video-i740/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-i740
+pkgver=1.3.0
+pkgrel=0
+pkgdesc="Intel i740 video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="f99791d389373850cc435ac0dd45f460 xf86-video-i740-1.3.0.tar.bz2"
diff --git a/x11/xf86-video-mach64/APKBUILD b/x11/xf86-video-mach64/APKBUILD
new file mode 100644
index 0000000000..82e92b5f83
--- /dev/null
+++ b/x11/xf86-video-mach64/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-mach64
+pkgver=6.8.0
+pkgrel=0
+pkgdesc="ATI Mach64 video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="6081b8fa50c689d51f85c2fbaf93867e xf86-video-mach64-6.8.0.tar.bz2"
diff --git a/x11/xf86-video-newport/APKBUILD b/x11/xf86-video-newport/APKBUILD
new file mode 100644
index 0000000000..b8774cd84c
--- /dev/null
+++ b/x11/xf86-video-newport/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-newport
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="Newport video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="2bd8e5b9ea68e0dcd80dfcaca0eff82c xf86-video-newport-0.2.1.tar.bz2"
diff --git a/x11/xf86-video-nv/APKBUILD b/x11/xf86-video-nv/APKBUILD
new file mode 100644
index 0000000000..51616c82e8
--- /dev/null
+++ b/x11/xf86-video-nv/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-nv
+pkgver=2.1.12
+pkgrel=0
+pkgdesc="Nvidia video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="42f12a36d7afc26c817e8e8f5c8b7274 xf86-video-nv-2.1.12.tar.bz2"
diff --git a/x11/xf86-video-r128/APKBUILD b/x11/xf86-video-r128/APKBUILD
new file mode 100644
index 0000000000..88d1a41b5f
--- /dev/null
+++ b/x11/xf86-video-r128/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-r128
+pkgver=6.8.0
+pkgrel=0
+pkgdesc="ATI Rage128 video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="007bec0c6b07d9d3aeca4da18e561efb xf86-video-r128-6.8.0.tar.bz2"
diff --git a/x11/xf86-video-radeonhd/APKBUILD b/x11/xf86-video-radeonhd/APKBUILD
new file mode 100644
index 0000000000..396e4334cf
--- /dev/null
+++ b/x11/xf86-video-radeonhd/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-radeonhd
+pkgver=1.2.4
+pkgrel=0
+pkgdesc="Experimental Radeon HD video driver."
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="3c9cfffe7e3d795dde59ea0eef7361b1 xf86-video-radeonhd-1.2.4.tar.bz2"
diff --git a/x11/xf86-video-rendition/APKBUILD b/x11/xf86-video-rendition/APKBUILD
new file mode 100644
index 0000000000..07ce66d5fc
--- /dev/null
+++ b/x11/xf86-video-rendition/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-rendition
+pkgver=4.2.1
+pkgrel=0
+pkgdesc="Rendition video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="c6b49b99586cc0955295cb1ca93fcac7 xf86-video-rendition-4.2.1.tar.bz2"
diff --git a/x11/xf86-video-s3/APKBUILD b/x11/xf86-video-s3/APKBUILD
new file mode 100644
index 0000000000..14d6cbb2d7
--- /dev/null
+++ b/x11/xf86-video-s3/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-s3
+pkgver=0.6.1
+pkgrel=0
+pkgdesc="X.Org driver for s3 cards"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="a5f1f2f93a50e56bd3aeed009c407337 xf86-video-s3-0.6.1.tar.bz2"
diff --git a/x11/xf86-video-s3virge/APKBUILD b/x11/xf86-video-s3virge/APKBUILD
new file mode 100644
index 0000000000..c4b60e3e06
--- /dev/null
+++ b/x11/xf86-video-s3virge/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-s3virge
+pkgver=1.10.2
+pkgrel=0
+pkgdesc="S3 ViRGE video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="69784e4964d75487d81be4eae3d467dd xf86-video-s3virge-1.10.2.tar.bz2"
diff --git a/x11/xf86-video-savage/APKBUILD b/x11/xf86-video-savage/APKBUILD
new file mode 100644
index 0000000000..ec26f09cf1
--- /dev/null
+++ b/x11/xf86-video-savage/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-savage
+pkgver=2.2.1
+pkgrel=0
+pkgdesc="S3 Savage video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="62b8aba48b54eaefeae87df502bf219c xf86-video-savage-2.2.1.tar.bz2"
diff --git a/x11/xf86-video-siliconmotion/APKBUILD b/x11/xf86-video-siliconmotion/APKBUILD
new file mode 100644
index 0000000000..784450d1ae
--- /dev/null
+++ b/x11/xf86-video-siliconmotion/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-siliconmotion
+pkgver=1.7.0
+pkgrel=0
+pkgdesc="Silicon Motion video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="f9acffba89d8be200f91bab3d1df80da xf86-video-siliconmotion-1.7.0.tar.bz2"
diff --git a/x11/xf86-video-sunffb/APKBUILD b/x11/xf86-video-sunffb/APKBUILD
new file mode 100644
index 0000000000..b4a347e53d
--- /dev/null
+++ b/x11/xf86-video-sunffb/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-sunffb
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="SUNFFB video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="816842de26bce8a935f3c9c3cfedbc42 xf86-video-sunffb-1.2.0.tar.bz2"
diff --git a/x11/xf86-video-sunleo/APKBUILD b/x11/xf86-video-sunleo/APKBUILD
new file mode 100644
index 0000000000..8c61b2ee49
--- /dev/null
+++ b/x11/xf86-video-sunleo/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-sunleo
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="Leo video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="14fe008620940a674981912fa02ae133 xf86-video-sunleo-1.2.0.tar.bz2"
diff --git a/x11/xf86-video-tdfx/APKBUILD b/x11/xf86-video-tdfx/APKBUILD
new file mode 100644
index 0000000000..4b1ca59dda
--- /dev/null
+++ b/x11/xf86-video-tdfx/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-tdfx
+pkgver=1.4.1
+pkgrel=0
+pkgdesc="3Dfx video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="59acf2a4f721f9b7abbd121748467b16 xf86-video-tdfx-1.4.1.tar.bz2"
diff --git a/x11/xf86-video-tseng/APKBUILD b/x11/xf86-video-tseng/APKBUILD
new file mode 100644
index 0000000000..f82df56aec
--- /dev/null
+++ b/x11/xf86-video-tseng/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-tseng
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="Tseng Labs video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="2f687eddae5dafa5dcc05116561e267c xf86-video-tseng-1.2.1.tar.bz2"
diff --git a/x11/xf86-video-v4l/APKBUILD b/x11/xf86-video-v4l/APKBUILD
new file mode 100644
index 0000000000..879b401ed6
--- /dev/null
+++ b/x11/xf86-video-v4l/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-v4l
+pkgver=0.2.0
+pkgrel=0
+pkgdesc="video4linux driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="2251ae2a0a905764941cd7b098e85ad1 xf86-video-v4l-0.2.0.tar.bz2"